Dispatch

Create an endpoint

POST/v1/dispatch/customers/:ref/endpoints

Adds a webhook endpoint for a customer. The response includes the signing secret once.

Parameters

Path parameters1
refstringRequired

The customer's external_id or its cst_ ID.

Body parameters3
urlstringRequired

HTTPS URL that receives events.

event_types?string[]

Event types to deliver. Leave out for all.

description?string

Up to 200 characters.

Returns

201The sample response is on the right.Errors return error and message; see Errors and limits.